﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GanttChartDataGridMvvmSample.Models;
using System.Collections.ObjectModel;

namespace GanttChartDataGridMvvmSample.DataAccess
{
    public static class ProjectRepository
    {
        // Would eventually retrieve the project model object from the data layer.
        public static Project GetProject()
        {
            // Currently we return a sample project object instead.
            return new Project
            {
                Name = "Sample Project",
                Tasks = new ObservableCollection<Task>
                {
                    new Task { Name = "Task 1", Start = DateTime.Today.Add(TimeSpan.Parse("08:00")), Finish = DateTime.Today.AddDays(2).Add(TimeSpan.Parse("12:00")) },
                    new Task { Name = "Task 2", Start = DateTime.Today.AddDays(1).Add(TimeSpan.Parse("12:00")), Finish = DateTime.Today.AddDays(3).Add(TimeSpan.Parse("12:00")) }
                }
            };
        }
    }
}
