﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GanttChartDataGridMvvmSample.DataAccess;
using GanttChartDataGridMvvmSample.ViewModels;

namespace GanttChartDataGridMvvmSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            
            // Get the model object from the data access repository.
            var model = ProjectRepository.GetProject();
            
            // Set up the view-model object as the data context to be inherited by the loaded views.
            DataContext = new ProjectViewModel { Model = model };
        }
    }
}
